@import "../../variables/variables";
@import "../../variables/mixins";



/*#region index-home*/

.news-item {
    border-bottom: 1px solid #f2f2f2;
    padding: 20px 0;

    .feature-info {
        > * {
            width: calc(50% - 7.5px);
        }

        .ava {
            margin-right: 15px;
        }

        .info {
            .btn-primary {
                padding: 2px 5px;
                border-radius: 5px;
            }
        }
    }
}

#news-top {
    .section-body {
        .news-feature {
            .feature-item {
                height: 215px;
                position: relative;
                line-height: 0;
                color: #FFF;
                background-position: center;
                -webkit-background-size: cover;
                -moz-background-size: cover;
                -o-background-size: cover;
                background-size: cover;

                &:hover {
                    .feature-cover {
                        opacity: 1;
                    }

                    .feature-info {
                        bottom: 0px;

                        h3 {
                            opacity: .8;
                        }
                    }
                }

                .feature-cover {
                    position: absolute;
                    top: 0;
                    left: 0;
                    bottom: 0;
                    width: 100%;
                    height: 100%;
                    opacity: 0.5;
                    -webkit-transition: all .2s linear;
                    -moz-transition: all .2s linear;
                    -ms-transition: all .2s linear;
                    -o-transition: all .2s linear;
                    transition: all .2s linear;
                    background: -webkit-linear-gradient(top, rgba(0, 0, 0, 0.2) 50%, rgba(0, 0, 0, 0.5) 70%, rgba(0, 0, 0, 1) 100%);
                    background: -moz-linear-gradient(top, rgba(0, 0, 0, 0.2) 50%, rgba(0, 0, 0, 0.5) 70%, rgba(0, 0, 0, 1) 100%);
                    background: -ms-linear-gradient(top, rgba(0, 0, 0, 0.2) 50%, rgba(0, 0, 0, 0.5) 70%, rgba(0, 0, 0, 1) 100%);
                    background: -o-linear-gradient(top, rgba(0, 0, 0, 0.2) 50%, rgba(0, 0, 0, 0.5) 70%, rgba(0, 0, 0, 1) 100%);
                    background: linear-gradient(top, rgba(0, 0, 0, 0.2) 50%, rgba(0, 0, 0, 0.5) 70%, rgba(0, 0, 0, 1) 100%);

                    a {
                        position: absolute;
                        top: 0;
                        left: 0;
                        bottom: 0;
                        width: 100%;
                        height: 100%;
                        z-index: 1;

                        span {
                            display: none;
                        }
                    }
                }

                .feature-info {
                    position: absolute;
                    width: 100%;
                    bottom: -60px;
                    text-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
                    line-height: 20px;
                    padding: 20px;
                    -webkit-transition: all .3s ease-in-out;
                    -moz-transition: all .3s ease-in-out;
                    -ms-transition: all .3s ease-in-out;
                    -o-transition: all .3s ease-in-out;
                    transition: all .3s ease-in-out;

                    .date {
                    }

                    .title {
                        margin-bottom: 15px;
                        text-shadow: rgba(0, 0, 0, .6) 0 0 5px;
                        font-size: 20px;
                        line-height: 26px;
                    }

                    .des {
                        font-size: 10pt;
                        opacity: 0;
                        min-height: 40px;
                        -webkit-transition: all .3s ease-in-out;
                        -moz-transition: all .3s ease-in-out;
                        -ms-transition: all .3s ease-in-out;
                        -o-transition: all .3s ease-in-out;
                        transition: all .3s ease-in-out;
                    }
                }

                &:nth-child(1), &:nth-child(2) {
                    width: 50%;
                }

                &:nth-child(3), &:nth-child(4), &:nth-child(5) {
                    width: calc(100% / 3);
                }
            }
        }
    }
}
/*#endregion*/
@media screen and (min-width: 1920px) {
}

@media screen and (max-width: 1440px) {
}

@media screen and (max-width: 1366px) {
}

@media screen and (min-width: 1200px) {
    /*#region index*/

    /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
    /*#region index*/


    /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
    /*#region index*/
    /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
    /*#region index*/

    #news-top {
        .section-body {
            .news-feature {
                .feature-item {
                    .feature-info {
                        bottom:0;
                        padding: 10px;
                        .title {
                            font-weight: normal;
                            margin-bottom:0;
                        }
                        .date{
                            display:none;
                        }
                        .des{
                            display:none;
                        }
                    }

                    &:nth-child(1) {
                        width: 100%;
                    }

                    &:nth-child(2), &:nth-child(3), &:nth-child(4), &:nth-child(5) {
                        width: 50%;
                    }
                }
            }
        }
    }

    .news-item {
        border-bottom: 1px solid #f2f2f2;
        padding: 10px 0;

        .news-top {
            margin-bottom: 10px;
        }

        .feature-info {
            > * {
                width: 100%;
            }

            .ava {
                margin-right: 0;
            }

            .des {
                margin-top: 10px;
            }

            .info {
                .btn-primary {
                    padding: 2px 5px;
                    border-radius: 5px;
                }
            }
        }
    }
    /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
    /*#region product*/
    /*#endregion*/
}

@media screen and (max-width: 320px) {
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}

/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    /*Code is here*/
}

/*#endregion*/
